Menu-File

File Menu

Functions associated with files: file management, print, import/export, work environment configuration and exit.

New

Creates a new Flying PopCorn work file (EDT). If the currently opened file's contents have been changed in the current session, Flying PopCorn will ask you whether you want to save it before opening a new file. New files are automatically named as Untitled1.EDT, Untitled2.EDT and so on. When you click the Save button, Flying PopCorn will ask you to name the new file.

Open

Opens an existing file stored on disk. If a file is currently opened, Flying PopCorn will ask you whether you want to save it before opening the specified file.

Insert Before

Inserts the specified file at the beginning of the current file. When selected, a dialog box pops up to help you select the file for insertion.

Save

Stores the current file on disk.

Save As

Stores the current file with a different name as specified. The original file's name and content are kept intact and a new file with the specified name is created.

Print

Prints the whole or specified area of the current file. Print Menu pops up to help you select and configure the pages, area, margins, paper size and location for printing.

See Print Menu for print methods and functions.

Set Password

Assigns, changes and removes passwords on files (for both EDT work files and DMP preparation files). The Select file to change password dialog box pops up to help you set up the password configuration with which you can grant file access rights to selected users.

How to Set Up and Change Passwords

1) Select Password from the File menu

In the Select file to change password dialog box, select the file for password protection. You can assign passwords on EDT work files and DMP preparation files. When you click the Password button, the Password Setup dialog box pops up to help you assign, change or remove a password on the file.

2) Depending on the presence of an existing password assigned on the file, you can either assign or change/remove the password.

3-1) Assign a password on the file without an existing password

Click the OK button to display the Password Setup dialog box in order to assign a password on the file. Enter the password twice: once in the Password field and the second time in the Confirmation field for confirmation.

The password must be a combination of numbers (0 through 9) and case-sensitive alphabets, up to 7 characters in length. If the two instances of the password entry values don't match or if the password entered contains illegal characters (e.g., special characters or blank), the password setup process reverts to the initial state. After the password setup process is completed, you must enter the correct password to access the file from then on.

3-2) Removing a password

After checking the Remove Password checkbox and clicking the OK button, the password is removed from the file. However, only the user who had last assigned the password has the authority to remove the password. If the password entered in the Password Confirmation dialog box does not match the existing password, the dialog box will prompt you again for the correct password to proceed. If you click the Cancel button, the dialog box will disappear and the existing password will not be removed.

3-3) Changing a password

As in removing a password, Flying PopCorn will prompt you to enter the existing password to validate your authority to change it. When the Password Confirmation dialog box pops up and you enter the correct password, a new dialog box will prompt you to enter the new password that will replace the existing one. If you click the Cancel button, the existing password will remain unchanged.

Preferences

In the Preferences dialog box, you can specify the default file paths to file folders, set the unit of measurement for printing, change the background image of the menu system, configure the RS232C port for remote control and user environment. When you're done with configuration, click the OK button to store the information. Click the Save button if you want the changed configuration information permanently stored; otherwise, the changed configuration only lasts for the duration of the current session.

  • Input from Right to Left: You can change the text input entered from right to left.

  • RS232C Remote Control: You can enable the RS232C port for remote control and configure the port settings.

  • Print Unit: You can select the unit of measurement for paper size and margins, either in millimeters (mm) or inches (inch).

  • Change Menu Background Image: You can specify the default image file and its color for Flying PopCorn's background.

  • Default Directories: You can specify the folders for storing various files created and used by Flying PopCorn.

  • OK and Cancel buttons: Buttons used to close a dialog box. Click the OK button to confirm and save the configuration; otherwise, click the Cancel button to cancel the configuration changes. You need to click the Save button if you want to store the configuration information permanently.

  • Open and Save buttons: Buttons used to open and save the configuration information. Click the Open button to view the current configuration settings and click the Save button to store the settings.

Import

Brings in text and image data from external files and scanner.

  1. Text File

    2. Converts a text file to Flying PopCorn's text object. You can manually specify the file path of the text file to import or click the Open File button for Flying PopCorn's aid in selecting the text file. Then, select the Flying PopCorn work file (EDT) to import the text file's content.

  2. Template Text File

Converts the contents of a text file to fit Flying PopCorn's predefined text format object (i.e., a template). This function is useful for importing text content in quantity. However, if there is no template present in the file, this function is ignored.

3) Scanner

Brings in images from a scanner. This also includes other scanner-related functions such as selecting a scanner, configuring a scanner and performing scanner operations.

Export

Stores the text, image or shape objects and pages in the current work file as text file, image file or HTML file.

1) Text File

Converts the selected text object to a text file. The resulting text files are useful for the Template Text File Import function later.

2) Image File

Stores the selected image object, the selected area of a page or the current page as an image file. When this function is selected, a dialog box will pop up to further assist you with the operation.

a) Page

Stores the current page as an image file. A dialog box will prompt you to specify the name for the new image file.

b) Region

Stores the selected area in the current page as an image file. To use this function, you need to define the area in the page for selection as follows:

  • Click the left mouse button while holding down the Ctrl key in the page.

  • While holding down the left mouse button, drag the mouse cursor to define the area in the page for selection.

  • Release the left mouse button when the area selection is done.

  • The selected area is identified and displayed in the work window.

c) Object

Stores the selected object(s) as image file(s). To use this function, you need to select the object(s) first. Also, you need to select either white or black as the background color for the selected objects.

How to Create an AutoRun

You can create an AutoRun file for automated execution of the Flying PopCorn multimedia file you have developed. The Directory Creation dialog box will help you to create the folders to store the files needed for AutoRun.

1. Create an AutoRun

Specify the file path for the folder to store the AutoRun file and data in the dialog box. Click the OK button to create the folder. If the folder already exists, the newly created AutoRun materials will be stored in the folder, overwriting the same-named files in the folder.

2. How to Use AutoRuns

Record the AutoRun folder and its contents on a CD-R. When you place the resulting CD in a CD-ROM drive later, AutoRun will automatically start the Flying PopCorn multimedia file. If it doesn't start automatically, you can double-click on PopPlay.exe in the AutoRun folder on the CD to start the program.

How to Create Web Pages

You can create Web pages (HTML files) out of the Flying PopCorn multimedia files you have developed. You can select either the current page you're working on, a specific page, or all the pages in a file. The Save As HTML dialog box will help you perform this conversion.

1) Page Selection

  • All Pages: Converts all the pages in the file to HTML files.

  • Current Page: Converts the page you're currently working on to an HTML file.

  • Partial Page: Converts the pages in the file you select to HTML files. You can specify the starting page and ending page for selection range.

2) Folder and File Names

  • File Name field: Specify the name of the HTML file to be created. For example, if you specify "Page" as file name, the resulting HTML files will be named as "Page_1.htm," "Page_2.htm" and so on.

  • Folder Selection button: Specify the folder to store the HTML files. When you click this button, a dialog box will prompt you to specify the folder.

3) Text Saved As Image check box

This check box is checked by default and will convert the text content in the page to image in the resulting HTML file. If you uncheck this box, the text data will remain as text in the resulting HTML file but will lose all the associated properties of the text data.

How to Create Screensavers

1) How to create a screensaver

You can create a screensaver out of a Flying PopCorn file you're working on. A dialog box will prompt you to specify the file path of the folder to store the screensaver data. Once you have finished creating the screensaver, you can run PopSaver.exe in the folder to preview the screensaver.

2) Applying the screensaver

Screensaver

Click the Start button, then Settings, Control Panel and Display in order. Click the Screen Saver tab. In the Screen Savers dropdown list, select PopCorn. Click the OK button to activate the Flying PopCorn screensaver.

Recent File List

This list contains the files you have last worked on. When you select one of the files, Flying PopCorn will open it. This feature is useful to continue working on the file you last worked on.

Exit

Click this to close the Flying PopCorn program. If there is any opened file not yet saved, the program will prompt you to save them before exiting.


Menu-Edit

Edit Menu

Functions associated with editing work: cut, copy, paste and deletion of objects and undo and redo of the last operations.

Undo

Cancels the last operation.

Redo

Performs the last operation once again. If activated after an undo, this cancels the last undo operation.

Undo All

Cancels all the operations performed in the current session.

Redo All

Performs all the operations that were cancelled by all undos in the current session.

Object Horizontal Align

Arranges the selected objects horizontally.

1) Left Line: Left-justifies the selected objects.

2) Center Line: Centers the selected objects horizontally.

3) Right Line: Right-justifies the selected objects.

Object Vertical Align

Arranges the selected objects vertically.

1) Upper Line: Justifies the selected objects toward the top (top-down).

2) Center Line: Centers the selected objects vertically.

3) Bottom Line: Justifies the selected objects toward the bottom (bottom-up).

Cut

Stores the selected object(s) in a special memory location and deletes them from the current page. Until another Cut or Copy operation is executed, these objects remain in the memory location. A subsequent Paste operation will bring these objects out of the memory location into the specified location on the current page.

Copy

Stores the selected object(s) in a special memory location. Except that the selected objects remain intact in the current page, this operation's effect is the same as the Cut operation's.

Paste

Brings the object(s) out of the special memory location stored by the last Cut or Copy operation and place them in the specified location on the current page. If there is no object stored in the special memory location, this operation is ignored.

Delete

Deletes the selected object(s).

Select All

Selects all objects in the current page.

Deselect All

Cancels the last Select operation, leaving all objects in the page unselected.

Convert Selection

Reverses the last Select operation. The objects selected by the last Select operation will be unselected and what was unselected previously will now be selected.

Resize Selected Object

Adjusts the size of the selected object(s). As you move the mouse cursor, the selected object(s) will change size according to the mouse cursor's movement, retaining the original ratio of the horizontal and vertical lengths of the object(s).

Toggle Text

As a toggle switch, each time this is selected, Text input mode will be turned on and off.

What is Text Input Mode?

When you need to enter text input data continuously, this mode will let you do so without clicking the Add Text button in the Text menu for each character.

You can activate the Text Input Mode by selecting the Character Input Mode button in the Toolbar menu, by clicking the right mouse button in the work window, or by pressing T while holding down the Ctrl key.


Menu-View

View Menu

This menu helps you configure various appearance-related properties of the work environment, including grid, justification, selection mode, work mode and hiding, showing, locking and unlocking of objects.

View Grid

Configures the grid.

None : Hides the grid.

Box : Shows the box grid of solid lines.

Grid : Shows the default grid of dotted lines.

Box & Grid : Shows both the box and dotted-line grids.

Show Align Line

Configures the alignment lines. You can change the location of the lines by changing the Tab Position value in the Page Properties menu.

None : Hides all alignment lines.

Left : Shows the left-justification line.

Center : Shows the center-justification line.

Right : Shows the right-justification line.

Both : Shows both the left- and right-justification lines.

All : Shows all alignment lines: the left-, center- and right-justification lines.

Select Mode

Configures to select only the specified type of object(s). For example, if you want to select only the geometrical shape objects, change the mode to Shape Mode so that you can easily select only the shape objects.

All : Enables to select any object.

Text : Forces to select only the text objects.

Shape : Forces to select only the shape objects.

Clipart Image : Forces to select only the clipart image objects.

Video : Forces to select only the movie objects.

Page Mode

Page Menu

Switches to Page Mode (same as the Page button in the Select Mode menu).

Templete Menu

Switches to Template Mode (same as the Template button in the Select Mode menu).

Animation Menu

Switches to Animation Mode (same as the Animation button in the Select Mode menu).

Effect Menu

Switches to Effect Mode (same as the Effects button in the Select Mode menu).

Play Menu

Switches to Play Mode (same as the Play button in the Select Mode menu).

Object Mode

Font Menu

Switches to Font Mode (same as the Font button in the Select Mode menu).

Shape Menu

Switches to Shape Mode (same as the Shape button in the Select Mode menu).

Image Menu

Switches to Clipart Image Mode (same as the Image button in the Select Mode menu).

Video Menu

Switches to Video Image Mode (same as the Video button in the Select Mode menu).

Background Image Menu

Switches to Background Image Mode (same as the Background Image button in the Select Mode menu).

Group/Option Mode

Switches between Group Menu and Option Menu.

Hide Selected Objects

Hides the selected object(s) in the work window. Until you select either the Show button or Show All Objects button in the Group Menu, these objects will remain invisible.

Show All Objects

Shows all hidden objects.

Lock Selected Objects

Locks all the selected objects. The locked objects are not modifiable (e.g., you can't select them to apply changes or effects) until you select either the Unlock button or the Unlock All button in the Group Menu.

Unlock All Objects

Unlocks all locked objects.


Menu-Group

Group Menu

You can assign unique numbers to groups so that a group can be treated as a unit of work. By default, all objects belong to the Background Group. You can show, hide, lock and unlock groups or the selected objects in groups.

See Group Menu for how to assign numbers to groups and how to use groups.

Select : Selects a group.

Deselect : Cancels the selected status on the group

Hide : Hides the group (or selected objects).

Show : Shows the group.

Lock : Locks the group (or the selected objects) from modification.

Unlock : Cancels the locked status on the group.

Top : Aligns the group(s) in a top-down format.

Bottom : Aligns the group(s) in a bottom-up format.

Up : Brings the group (or the selected objects) up by one level from its current level.

Down : Brings the group (or the selected objects) down by one level from its current level.

Move to : Group Selection Menu pops up to assign objects o a group. Groups consist of the 10 numbered groups (1 to 10) and the default Background Group.

Group Object Navigation

An object of selected number is showed in the list of selected group. ( There are the First, Previous, Next, Last and Group Top Movement button. ).


Menu-Page

Page Menu

This menu provides functions associated with pages. The functions include cut, copy, paste, deletion and insertion of pages and switching to a specific page.

Default Setup

You can configure the default properties of the page such as the latency time for page transition.

See Default Effect Configuration Menu for details.

Cut Page

A dialog box pops up to help you select the pages to cut. You can select a specific page, a range of pages or multiple pages. The cut pages are stored in a special memory location for the subsequent paste operation.

Copy Page

A dialog box pops up to help you select the pages to copy. You can select a specific page, a range of pages or multiple pages. The copied pages are stored in a special memory location for the subsequent paste operation.

Paste Page

Copies the page stored in the special memory location into the current page. If there is no page stored in the special memory location, this operation is ignored.

Delete Page

A dialog box pops up to help you to select which page(s) you want to delete. You can specify a specific page, a range of pages or multiple pages for deletion.

Insert Blank Page

Adds a blank page in front of the current page.

Copy to Next Page

Copies the current page and add as the next page.

Append Page

Adds a blank page at the end of the current file.

Goto Page

Switches to the specified page. This function works the same as the Goto Page button in Page Menu.

1) First: Switches to the first page of the current file

2) Last: Switches to the last page of the current file.

3) A dialog box pops up to help you select which page you want to switch to. After you specify the page and click the OK button, the program will switch to the specified page.


Menu-Play

Play Menu

This menu provides functions associated with playback of files. The functions include default setup for scene-transition effects, preparation for playback, playback, playback mode configuration and creating AutoRuns.

Prepare

Creates a DMP preparation file for playback of a Flying PopCorn multimedia file. A progress bar shows the progress of this operation. This function works the same as the Prepare button in the Play Menu.

Play

Plays back a DMP preparation file. If the current EDT work file is not ready for playback, this operation is ignored. This function works the same as the Prepare & Play button in the Play Menu.

Prepare & Play

Creates a DMP preparation file and then plays back the file in sequence. This function is useful since you can prepare and play back a file in one step. This function works the same as the Prepare & Play button in the Play Menu.

MultiFile Prepare

You can use this function to play back multiple files in a batch instead of one individual file at a time.

How to Configure MultiFile Prepare

    • A dialog box pops up to help you select or create an EDL (Multi File Prepare List) file.

    • Select the files in the list of all work files (EDT) in the upper left corner of the dialog box and click the Add File button.

    • Click the Open button to create a DMP preparation file.

MultiFile Play

Plays back the multiple DMP files.

MultiFile Prepare & Play

This function helps you create a multiple playback preparation file and play back the file in one step.

Remote RX Play Control

This function is used to send signals to control the playback of files from a remote location.

Remote TX Play Control

This function is used to receive signals for remote control of playback.

Set Play Mode

1) Manual Mode

At playback, each of the page In/Action/Out effects waits for user input. If there is no effect, then the program automatically proceeds to the next effect.

2) Auto Mode

This is the default playback mode. With a one-time user input, the playback is configured for automatic playback, except the objects with links.

See Object Link Configuration Menu for how to use object links.

Create an AutoRun

This helps you to create an AutoRun that eases transferring the Flying PopCorn files to other computers, especially using CD-ROMs. When selected, a dialog box pops up to prompt you to select the folder to install the AutoRun. If you want to install the AutoRun in a different folder than the default one, specify the folder's file path in the dialog box. Creating CD-ROMs containing the AutoRun is a very convenient way to distribute the Flying PopCorn files you have developed to other people with computers.


Menu-Help

Help Menu

This menu provides program and help information, shortcuts, and product and registration information.

Help Contents

Shows help information in HTML format.

Shortcut Keys

Shows all the available Flying PopCorn's shortcut keys.

About

Shows the concise information of the current Flying PopCorn program.


Toolbar Menu

A menu system with a collection of the frequently used functions as buttons. The functions associated with these buttons are: New file, Open file, Save file, Print file, Save Image As, Cut, Copy, Paste, Delete, Undo, Redo, Redraw and Toggle Text.

New button

Creates a new Flying PopCorn file. If a file is currently opened, you will be asked whether you want to save it before opening the new file. This button's function is equivalent to that of the New item in Menu Bar/File/Menu.

Open button

Opens an existing file. If a file is currently opened and it has been changed in content in the current session, you will be asked whether you want to save it before opening the specified file. This button's function is equivalent to that of the Open item in Menu Bar/File/Menu.

Save button

Saves the currently opened file with its original name. If the file has not been named yet (e.g., the file's name is Untitled1.EDT), you will be asked to name the file. This button's function is equivalent to that of the Save As item in Menu Bar/File/Menu. If you want to assign a different name to the file from the current name, use the Save As item in Menu Bar/File/Menu.

Print button

Prints the file. The Print Menu pops up to help you configure printing-related properties, including paper size, margins, print area, number of copies and printer selection. This button's function is equivalent to that of the Print item in Menu Bar/File/Menu.

Save Image As button

Saves the current page, selected area in the page or selected object as an image file. The Save Image dialog box pops up to help you perform this operation. This button's function is equivalent to that of the Save Image As item in Menu Bar/File/Menu/Save As.

Cut button

Stores the selected object(s) in the special memory location and deletes them from the page. This button's function is equivalent to that of the Cut item in Menu Bar/Menu/Edit.

Copy button

Stores the selected object(s) in the special memory location but retains them in the page. This button's function is equivalent to that of the Copy item in Menu Bar/Menu/Edit.

Paste button

Brings the currently stored object(s) out of the special memory location and inserts them at the selected location in the page. If there is no objects stored in the special memory location, this operation is ignored. This button's function is equivalent to that of the Paste item in Menu Bar/Menu/Edit.

Delete button

Deletes the selected object(s). This button's function is equivalent to that of the Delete item in Menu Bar/Menu/Edit.

Undo button

Cancels the last operation. If there was no previous operations performed, this operation is ignored. This button's function is equivalent to that of the Undo item in Menu Bar/Menu/Edit.

Redo button

Cancels the last undo operation. If there was no previous undo operations performed, this operation is ignored. This button's function is equivalent to that of the Redo item in Menu Bar/Menu/Edit.

Redraw button

Refreshes the work window (aka the Refresh button). However, the hidden objects remains invisible even when you click this button. If you want to view all the hidden objects, select the Show All Objects item in Menu Bar/View.

Toggle Text button

Turns on and off the text input mode. As you keep clicking on this button, the text input mode is turned on and off and so on. When the button is displayed as pressed down, the text input mode is turned on. This button's function is equivalent to that of the Text Input Mode Transition item in Menu Bar/Menu/Edit.

However, the hidden objects remains invisible even when you click this button. If you want to view all the hidden objects, select the Show All Objects item in Menu Bar/View.


Task Select Menu

A two-part menu system managing the work mode of the software. The first part is a collection of buttons representing the functions associated with changing work modes, including Page, Template, Animation, Effects and Play. The second part is an a collection of iconized buttons representing the functions available in the work mode for objects, including Font, Shape, Clipart, Video and Background Image. When you can on a button on this menu, the work mode switches to the one represented by the button and the menu system automatically adjusts to the selected work mode.

Page button

Switches to the page-centric work mode which consists of three menus: the Page Menu that lets you overview the whole page; the Page Effect Menu that lets you view all the effects applied to the current page; and the Page Properties Menu that lets you configure the alignment, grids and line spacing in the current page.

Template button

Switches to the template-centric work mode with one menu: the Template Menu that lets you save the particular style of a page (e.g., the properties and location of objects) as a template so that you can easily re-use the same page style in the future.

Animation button

Switches to the animation-centric work mode with one menu: the Animation Menu that lets you save the current page as an animation-enabled page.

Effects button

Switches to the effects-centric work mode with one menu: the Effects Menu that lets you select various scene-transition effects of pages, including Entry, Action and Exit.

Play button

Switches to the playback-centric work mode with one menu: the Play Menu that lets you prepare the current file for playback and play back files.

Font button

Switches to the text-centric work mode with four menus: the Font Menu that lets you customize various font properties; and the Font Template Menu, the Color Template Menu and the Texture Template Menu that lets you save the properties of a font, a color and a texture you have customized as templates for later re-use.

Shape button

Switches to the shape-centric work mode with two menus: the Shape Menu that lets you customize various properties of a shape; and the Shape Template Menu that lets you save the properties of a shape you have customized as a template for later re-use.

Clipart Image button

Switches to the clipart-centric work mode with two menus: the Clipart Image Menu that lets you customize various properties of a clipart image object; and the Clipart Image Template Menu that lets you save the properties of a clipart image you have customized as a template for later re-use.

Video button

Switches to the movie-centric work mode with two menus: the Video Menu that lets you customize various properties of a movie object; and the Video Template Menu that lets you save the properties of a movie you have customized as a template for later re-use.

Background Image button

Switches to the background-centric work mode with two menus: the Background Image Menu that lets you customize various properties of a background image; and the Background Image Template Menu that lets you save the properties of a background image you have customized as a template for later re-use.


Group Menu

A menu system that helps you work on collections of objects as groups by assigning numbers on an object or on the selected set of objects. The Group Select Menu lets you select an object or a group by their assigned numbers.

Select button

Selects object(s) or group(s) for the subsequent operation.

Deselect button

Cancels the selected status of object(s) or group(s).

Hide button

Makes the selected object(s) or group(s) invisible.

Show button

Cancels the hidden status of the selected object(s) or group(s) so that they are visible.

Lock button

Makes the selected object(s) or group(s) so that they cannot be selected or modified.

Unlock button

Cancels the locked status of the selected object(s) or group(s) so that they can be selected and modified.

Top button

Moves the selected objects or groups toward the top of the page and arranges them in a top-down format.

Bottom button

Moves the selected objects or groups toward the bottom of the page and arranges them in a bottom-up format.

Up button

Moves the selected objects or groups one level up toward the top of the page.

Down button

Moves the selected objects or groups one level down toward the bottom of the page.

Move to Group button

Assign a unique group number to the selected object(s).

Group Object Navigation

An object of selected number is showed in the list of selected group. ( There are the First, Previous, Next, Last and Group Top Movement button. )

Options button

Switches to the Options Menu.


Group Select Menu

A menu system that helps you select the group to apply the function you have selected in the Group Menu. You can assign a number between zero (0) and ten (10) on the selected objects as its group number and use it as a group. Alternatively, you can use the selected objectss as is or use the Background Group. Using the Group Menu, you can either use the Group Number button to assign a group number on the selected set of objects or assign them to the Background Group.

Selected Object button

Applies the group editing function to the selected object instead of assigning a group number. If there is no object selected, this operation is ignored.

Background button

Applies the group editing function to the objects in the Background Group instead of assigning a group number. The Background Group is the group to which all objects initially belong by default. In terms of groups, you may consider the objects in the Background Group as not being assigned to any group at all.

Group Number button

Applies the group editing function to the group with the selected group number (between 0 and 10).

While holding down the Ctrl key, you can select multiple groups by clicking on the group number buttons to apply the function to multiple groups simultaneously.

Select All button

Selects all groups including the Backgroup Group. This function is useful when you want to apply a function to all objects available in Flying PopCorn.

Clear All button

Cancels all groups number assignments.

How to assign Groups and use them

1) Assign group numbers (grouping objects)

Select the objects you want to assign to a group and click on the Group Number button

in the Group Menu. When the Group Select Menu pops up, click on the group number button representing the target group for assignment and then click on the OK button.

2) Hiding objects using group numbers

Click on the Hide button in the Group Menu to display the Group Select Menu. Click on the group number button to hide the corresponding target group invisible in the work window. Following a similar procedure, you can apply other functions (e.g., select, deselect, show, lock, unlock, up, down, top and down) to objects at the group-level.

3) Hiding groups for non-use

Select the objects you want to hide and click the Hide button in the Group Menu. Then, click the Selected Objects button in the Group Select Menu to hide the objects from the work window.


Option Menu

A menu system that lets you configure the alignments and change their display status, change the selection status of objects, configure the grids and change their display status, and change the display status of animations.

Align button

Displays the currently set alignment lines in the page. When you click on this button, a popup menu displays the available alignment settings you can choose from. The selected alignment setting will be displayed in the edit window. Each page can be individually set with an alignment setting different from other pages in the file. The locations of alignment lines correspond to the left, center and right tab positions as configured in the Tab Positions in the Page Properties Menu.

This is the default alignment setting and displays the left-justification line in the edit window.

Clicking on this button will display the center-justification line in the edit window.

Clicking on this button will display the right-justification line in the edit window.

Clicking on this button will display both left- and right-justification lines in the edit window.

Clicking on this button will display all (i.e., left-, center- and right-) justification lines in the edit window.

Select button

Displays the current Object Select Mode and lets you select a particular type of objects only. This function is useful when you want to work only on a particular type of objects.

This is the default object select mode. In this mode, you can select any type of objects.

Clicking on this button will let you select only the text objects.

Clicking on this button will let you select only the shape objects.

Clicking on this button will let you select only the image objects

Clicking on this button will let you select only the movie objects..

Grid button

Displays the currently set grid and shows either box grid or dotted-line grid.

This is the default grid setting and does not show the grids

Clicking on this button will show the box grid.

Clicking on this button will show the dotted-line grid. You can set the spacing between the dots in the dotted-line grid using the Spacing Setting field in the Page Properties Menu as x-axis and y-axis values.

Clicking on this button will show both the box grid and dotted-line grid.

Animate button

This button lets you select whether you want to show the animation status of objects with animation properties configured for movement between pages or changing the background images.

This is the default setting and shows the object animation when there is a movement between pages or change in the background image (i.e., when the work window is refreshed). Only the objects with animation properties configured are displayed. The hidden objects and locked objects are not displayed even if they are configured for animation.

Clicking this button disables the display of object animation. This is useful when you don't want to view the animation while you are still working on the file. However, this setting does not affect when the file is played back (i.e., even with this setting, the file will show all animations at playback).


Font Menu

Preview Window

Displays the font with the properties as currently configured.

Size Field

You can specify the size of a font in pixels. When you change the size of a font, its width automatically adjusts to 1/2 of the size specified.

Width Field

You can specify the width of a font in pixels.

Character Space Edit

You can specify the character spacing in pixels. The default value is zero (0). You can specify a pixel value between -100 and 100.

Font Type Button

When clicked, the Font Dialog Box pops up. After you select a font from either the Font List or the Recently Used Fonts List, the font's typeface changes to the one you have selected and the font's name is displayed in the Font Type Button.

Typeface, Edge, Shadow and Texture Buttons

When clicked, it displays the current font's typeface, edge, shadow and texture properties, respectively. Also, Flying PopCorn automatically arranges the Color Menu and Texture Menu.

Refer to the Color Menu and Texture Menu for details on how to configure the color and texture of the font.

Face Button

Displays the current type of the font and lets you select a different type.

Displays the default type of the font.

Changes the type to a vertically mirrored-image of the default font.

Changes the type to a horizontally mirrored-image of the default font.

Changes the type to a vertically and horizontally mirrored-image of the default font.

Changes the type to a bold typeface.

Changes the type to a bold typeface that is also the vertically mirrored-image.

Changes the type to a bold typeface that is also the horizontally mirrored-image.

Changes the type to a bold typeface that is also the vertically and horizontally mirrored-image.

Edge Button

When clicked, it displays the outline of the font and lets you select the edge type.

Displays the default edge of the font.

Displays a blurred edge of the font.

Edge Size Field

Lets you specify the size of the edge in pixels between 0 and 7.

Shadow Button

Displays the current shadow of the font and lets you select the type of shadow.

Displays the default shadow (superimposed and slightly distanced).

Changes to and blurred (and further distanced) shadow.

Changes to a 3D shadow.

Changes to a 3D and blurred shadow.

X Value Field

Lets you specify the x-axis value relative to the location of the font as reference point in pixels between -50 and 50.

Y Value Field

Lets you specify the y-axis value relative to the location of the font as reference point in pixels between -50 and 50.

Bevel Button

Displays the current type of bevel and lets you specify a different type.

Displays the default bevel (fading black).

Changes the bevel to a hollow black type.

Changes the bevel to a non-colored type.

Bevel Width Field

Displays the current width of the bevel and lets you specify it with a value between 0 and 15. The default value is 0 (no bevel).

Alignment Button

Displays the current type of alignment and lets you specify a different type.

Displays the default alignment (no alignment).

Changes to the left-justified alignment type. When selected, it left-justifies the characters at the tab mark location specified in the Page Properties Menu.

Changes to the centered alignment type. When selected, it center-justifies the characters at the tab mark location specified in the Page Properties Menu.

Changes to the right-justified alignment type. When selected, it right-justifies the characters at the tab mark location specified in the Page Properties Menu.

How to Align

You can select the alignment type depending on the state of the Text Input Mode Button in the Toolbar Menu.

In case of the Text Input Mode Button: Alignment becomes effective when you press the Enter key.

In case of the Font Properties Button: Alignment is immediately effective as you select the alignment type.

Alignment Value Field

Displays the current x-axis value for alignment.

Mode Button

Displays the current unit of work. When clicked, it displays a button that lets you configure the Character Mode and String Mode values.

Character Mode

This is the default setting and sets the unit on the character-level. Editing and object animation will be performed on the character-level.

String Mode

Changes to the string-level setting. Editing and object animation will be performed on the string-level.

Link Button

Displays the current link setting. When clicked, it displays the Link Menu with which you can configure the links.

Refer to the Link Menu for details on how to configure links.

Add Text Button

Adds characters with the current properties. When clicked, it displays the Text Input Mode cursor in the work window where you can enter text data. Also, the Text Input Mode is automatically activated so that you can continuously enter text data without clicking the Add Text Button each time for every character. However, you need to confirm that the Text Input Mode Button is set (i.e., shown as) in the Tool Bar Menu.

Font Map Button

Displays the font list. When clicked, it displays the current font. Use the scroll bar to view the fonts available and select a font by clicking the left mouse button on the font you want. When you enter text input, the characters will be displayed in the selected font in the work window. However, since this is possible only when the mode is set to the Text Input Mode Button (i.e., shown as), you need to click the Text Input Mode Button in the Toolbar Menu first.

Done Button

Lets you quit entering text data. When clicked, the program will return you to the Font Menu.

Remake Button

Lets you resize the font of the character data using the Font Size Field and create a new one in a different size.

Font Size Field

Lets you specify the size, both the height and width. When you specify the height, the width is automatically resized to 1/2 of the height. If you want a wider width, change the width first and then the height.

Add Text Button

Lets you apply object animation on the selected character.

See How to Configure Object Animation for details on configuring and using object animation.


Color Menu

Preview Window

Displays the color with the properties as currently configured.

Color Palette

Displays a 256-color palette. When you click on the left mouse button and move it around, the font color in the Detailed Color Palette changes accordingly.

Detailed Color Palette

A color palette containing more detailed colors. When you click on the left mouse button and move it around, the font color in the palette changes accordingly.

Color Picker Button

Also called the Picker and is used for importing the color from the palette. Click on the Color Picker Button to activate the color selection mode. Once in the mode, you can click anywhere in the window to pick the color off an object. After you have selected the color, you must click the Color Picker Button again to deactivate the color selection mode.

Color Shape Buttons

Used to select the type of color from the six available types: solid, line, circle, rectangle, round rectangle and ellipse.

Solid Button

The default type in solid color. You can create a new gradation by clicking the [image] Add Gradation ColorButton (shown as)..

Line Button

A line-type color. When selected, it displays a line in two or more colors. If the previous color was of the solid type, it creates a complementary-colored line. Since it displays the associated color for a color being associated, click the Solid Button followed by the Add Gradation Color Button if you want to create a new gradation.

Circle Button

A circle-type color. When selected, it displays a circle in two or more colors. If the previous color was of the solid type, it creates a complementary-colored circle. Since it displays the associated color for a color being associated, click the Solid Button followed by the Add Gradation Color Button if you want to create a new gradation.

Rectangle Button

A rectangle-type color. When selected, it displays a rectangle in two or more colors. If the previous color was of the solid type, it creates a complementary-colored rectangle. Since it displays the associated color for a color being associated, click the Solid Button followed by the Add Gradation Color Button if you want to create a new gradation.

Round Rectangle Button

A round rectangle-type color. When selected, it displays a round rectangle in two or more colors. If the previous color was of the solid type, it creates a complementary-colored round rectangle. Since it displays the associated color for a color being associated, click the Solid Button followed by the Add Gradation Color Button if you want to create a new gradation.

Ellipse Button

An ellipse-type color. When selected, it displays an ellipse in two or more colors. If the previous color was of the solid type, it creates a complementary colored ellipse. Since it displays the associated color for a color being associated, click the Solid Button followed by the Add Gradation Color Button if you want to create a new gradation.

Base Color Window

Displays the base color

Gradation Color Window

Displays the gradation color being associated.

Gradation Control Pin

Used to control a specific color in the gradation being worked on. You can set up to 7 pins and the one with purple edges is the default color. To control the spacing, while holding down the left mouse button, move horizontally (i.e., left and right) to set the spacing and release the button. If two pins overlap, the pin you have moved returns to its original position.

Gradation Color Add/Remove Button

Used to add or remove the selected color from a gradation being associated.

Add Gradation Color Button

Adds one gradation color control pin. You can add up to 7 pins and the newly added pin will be set as the default color. If the number of pin is 1 (i.e., a solid color), then a complementary color is added and it becomes the line type color.

Remove Gradation Color Button

Removes one gradation color control pin. You can remove pins until the number of pins becomes 1. Each time you click the button, the currently selected pin is removed and the closest pin from the removed pin becomes the default color. If the number of pins is 2, it becomes the solid type color.

Transparency Control Field and Scroll Bar

Controls the transparency of the current color on a 256-level scale (0 to 255). You can either use the scroll bar or manually enter a value into the field to set the transparency of the color.

Color Control Field and Scroll Bar

Controls the default color using RGB values in 256 levels for each. You can either use the scroll bar or manually enter a value into the field to set the color. You can use either RGB mode or HSV mode depending on the color control mode selected.

Color Control Mode Button

The default mode. In this mode, you configure the color by setting the values of the Three Primary Colors of Light (Red, Green and Blue) in 256 levels for each. If the RGB values are all 0, the color is black; if all values are 255, it's white.

In this mode, you configure the color by setting the values of Hue, Saturation and Value. The value range for Hue is between 0 and 359 (360 levels) and the range for Saturation and Value is between 0 and 100 (101 levels).

Color Rotation Angle Field and Scroll Bar

Sets the rotation angle of the line type color in degrees between 0 and 359. This function is active only for the line type colors (i.e., inactive for other color types).

Color Center Field and Scroll Bar

Sets the coordinate of the center of the circle type color (relative to the location of the beginning of the Color Preview Window) in values between 100 and 200. This function is active only for the circle type colors and inactive for other color types.


Texture Menu

Preview Window

Displays the texture with the properties as currently configured.

Mask Button

Configures a mask for the selected texture. A template pops up to help you select the mask image. Only the shape of the selected mask image remains in the current texture.

Refer to the Mask Configuration Button in the Clipart Image Menu for how to configure masks.

Texture Import Button

Displays the file path to the current texture file. When clicked, the Texture Import Dialog Box pops up.

Brightness Field

Sets the brightness of the texture. The default value is 0. You can specify a value between -1000 and 1000.

Contrast Field

Sets the brightness of the texture. The default value is 0. You can specify a value between -1000 and 1000.

Hue Field

Sets the hue of the texture. The default value is 0. You can specify a value between -360 and 360.

Saturation Field

Sets the saturation of the texture. The default value is 0. You can select a value between -1000 and 1000.

Transparency Field and Scroll Bar

Sets the transparency of the texture. The value range is between 0 and 255. You can either use the scroll bar or manually enter a value in the field to set the transparency.

Target Area Field

Specifies a target area in the texture for configuration. You can enter values for the left, right, top and bottom corner positions of the area to apply the properties you have configured.

Remove Texture Color Button

Removes a specific color or gradation color from a texture. When clicked, a button pops up to help you remove colors.

Refer to the Remove Color Menu for how to remove colors from a texture.

Texture Field

Selects the type of the texture by resizing characters, by tiling and by increasing the character string size.

Maps the texture with proportionally sized characters. This function retains the proportion of the characters in the texture when mapped.

Maps the texture tiled when the original source for mapping is smaller in size than the target area for mapping.

Maps the texture with characters at word-level (or character string-level) instead of individual character as unit for mapping.


Shape Menu

Preview Window

Displays the shape with the properties as currently configured.

Height and Width Field

Sets the height and width of the shape by specifying values.

Default Button

Initializes the properties of the selected shape by resetting them with default values.

Default Shape Select Window

Lets you select from the basic shapes provided by Flying PopCorn. Use the scroll bar to browse the shapes available. When you click on a shape you want, the selected shape becomes the current shape in the work window. Also, you can click the Extend Button on the right upper corner to expand the browse window to view more shapes.

Color Button

Displays the current color of the shape. When clicked, it displays the Color Menu. Depending on the shape selected, there are two types of colors associated: one-colored and two-colored types.

Refer to the Color and Texture Button in the Text Menu for details on how to configure the colors of shapes.

Shape Type Field and Scroll Bar

Depending on the type of shape, a shape can have up to 4 specific values. You can either use the scroll bar or manually enter values in the field to change the values. The shape changes in accordance with the changed values.

Link Button

Lets you configure a link. When clicked, it displays the Link Menu. The changes in link properties are applied to the currently selected shape.

Refer to the Link Menu for details.

Add Shape Button

Adds a shape. When clicked, in the center of the work window, it displays a rectangular shape that follows the movement of the cursor. After moving it to a location you want in the work window, click the left mouse button. Flying PopCorn draws a shape with the currently configured shape properties at the location.

Add Text Button

Lets you configure a shape for object animation.

Refer to the How to Configure Object Animation section for details.


Clipart Image Menu

Preview Window

Displays the selected clipart image with the properties as currently configured.

Mask Button

Displays the mask currently configured for the selected image. By default, no mask is configured.

Size Button

Displays the selected image's height and width. You can set the size of the image by changing the height and width values.

How to use the Mask Button

1) Click the Mask Button to display the Mask Template Menu. The mouse cursor moves to the Mask Template Menu and the cursor's movement will be limited within the menu.

2) When you click on the mask you want in the Mask Template Menu (e.g., using the Expand Button), the selected mask is placed on the Mask Button and the mouse cursor is released from the movement limitations.

3) If you want to quit during the mask configuration process (while the mouse movement is limited), click the right mouse button or press the Esc key. The mask configuration process is cancelled and the mouse will be released from the movement limitations.

Import Button

Displays the file path to the currently selected image file. When clicked, a dialog box pops up to help you import an image file. When you select an image file, Flying PopCorn places the image in the Preview Window and also shows the file path of the file.

Same Area Button

Used to add an image with the same location and size as the selected object in the work window. When clicked, the properties of the selected object are displayed in the Image Menu. When you click the Import Button (to bring in the image) followed by clicking the Add Image Button, Flying PopCorn adds the image on top of the selected object. The object being added must be an image object due to the requirement of the process. If there is no object selected, if multiple objects are selected, or if the selected object is not an image object, the button becomes inactive. Also, you can't add the same image more than once at the same location.

Init Button

Initializes the image's transparency, color, bevel and image configurations by resetting them with the default values. However, the image's size (height and width), mask, links and object animation values remain unchanged.

Adjust Button

Adjusts the selected image’s properties. When clicked, it displays the fields for values of the coordinate of the specified rectangle, brightness, contrast and saturation. In case of an animated GIF file, Flying PopCorn displays a menu instead to help you configure the number of repetition and latency time.

Image Adjustment – Area Specification Fields

Used to specify an area of the image for adjusting. You can change the target area by entering the four corner coordinate values (left, right, top and bottom) to apply different adjustments to different areas in the image.

Image Adjustment - Brightness Field

Used to set the image's brightness. The default value is 0. You can select a value between -1000 and 1000.

Image Adjustment - Contrast Field

Used to set the image's Contrast. The default value is 0. You can select a value between -1000 and 1000.

Image Adjustment - Hue Field

Used to set the image's hue. The default value is 0. You can select a value between -360 and 360.

Image Adjustment - Saturation Field

Used to set the image's saturation. The default value is 0. You can select a value between -1000 and 1000.

This menu is displayed only when the selected image is an animated GIF file. It shows the frame number and has two fields where you can set the number of repetition and latency time.

GIF Image Adjustment - Frame Number View Field

Displays the frame number of the current GIF file.

GIF Image Adjustment - Number of Repetition Field

Sets the number of repetition for the selected GIF image. You can specify a value between 0 and 1000. If the value is 0, the repetition will be infinite.

GIF Image Adjustment - Latency Time Field

Sets the latency time for the selected GIF image. You can specify a value between 1 and 1000.

Image Transparency Field and Scroll Bar

Sets the transparency of the selected image with a value between 0 and 255. You can either use the scroll bar or manually enter a value to set the image's transparency.

Bevel Width Field

Sets the width of a bevel. The default value is 0, which corresponds to no bevel at all.

Bevel Button

Configures a bevel. When clicked, it displays the Bevel Menu.

Refer to the How to Configure Object Animation section for details.

Remove Color Button

Removes a specific color or a gradation from the selected image. When clicked, the Remove Color Button is displayed.

Refer to the Image Color Removal Menu for details.

Link Button

Configures a link. When clicked, it displays the Link Menu. The configuration is applied to the currently selected image.

Refer to the Link Menu for details.

Object Animation

Configures the selected image’s object animation properties.

Refer to the Object Animation Menu for details.

Add Image Button

Adds an image. When clicked, a rectangular shape is displayed in the center of the work window. Click the left mouse button when the mouse cursor is at the location you want and the image is added at the location with the currently configured properties.


Bevel Menu

Bevel is a function that makes the look of the edges of an image either protruded or caved in so that the image is viewed as if framed. You can enhance the bevel effect by specifying the start, end and interior values. For further enhancements with accurate yet sophisticated touches, specify the transparency and gradation values independently with their own set of start, end and interior values. Also, you can even specify the brightness of each of the four corners of an area and RGB values for the interior's color for a vivid 3D look.

Bevel Type Button

Selects the type of bevel. There are three protruded types and three caved-in types.

A protruded type with one side slanted at an angle.

A protruded type with one side round-edged.

A protruded type with both sides round-edged.

A caved-in type with one side slanted at an angle.

A caved-in type with one side round-edged and curved-in.

A caved-in type with both sides round-edged and curved-in.

Transparency Field and Scroll Bar

You can specify the transparency either by using the scroll bar or by manually entering values in the field. Each of the three values (start, end and interior) can be between 0 and 255. This function is useful for specifying the transparency of a specific area.

Gradation Field and Scroll Bar

You can specify the gradation either by using the scroll bar or by manually entering values in the field. Each of the three values (start, end and interior) can be between -255 (the darkest setting) and 255 (the brightest setting).

Brightness Control Field

You can specify the brightness of each corner of the bevel independently with a value between 0 and 255. This function is useful for controlling the brightness.

Interior Color Control Field

You can specify the RGB values for the interior's color.

Bevel's Start, End and Interior

Flying PopCorn provides you with a very detailed control on bevel. Not only you can specify independent values for start, end and interior of a bevel, you can also fine-tune it by setting the transparency and gradation of each value, by specifying the brightness of each of the four corners independently (for greater 3D effects), and by setting the color as well.

.


Video Menu

Preview Window

Supports previewing of a video with the currently configured properties applied.

Preview Button

When clicked, the video is played back in the preview window.

Playback Button

When a video file is played back in the Preview Window, the image on this button changes to that of the Stop sign. If you click it during a playback, it stops the playback process and returns to its default state with the Playback image.

Import Button

Displays the file path to the currently selected video file. When clicked, a dialog box pops up to select the video file to import. The video file's image is captured as a freeze-frame image corresponding to the capture latency time value (configured either via the value field or scroll bar). This freeze-frame image is a video object for the purposes of editing and does not affect the playback of the file.

Size Field

Displays the height and width of the selected video file's image. You can specify the size by changing the height and width values.

Capture Time Field and Scroll Bar

Configures the capture time for the video file's preview support. You can specify the capture time as a value between 0 and 1000 (with one-tenth of a second as unit). This capture time value is only for editing work and does not affect the playback of the file. It captures the frames for the duration of the specified time when you click the Import Button.

Link Button

Configures a link on the selected video file.

Refer to the Link Menu for details.

Add Video Button

Adds a video file. When clicked, the mouse cursor moves with a rectangle shape in the center of the work window. After you placed the cursor at the location you want and click the left mouse button, the video is added at the location with the currently configured properties.

Video Capture Button

Captures video from a device with video-capture capability. When clicked, the Video Capture Menu is displayed. If there is no device capable of capturing video connected to the computer, you can't use this function.


Background Image Menu

Preview Window

Displays the selected background image with properties as currently configured.

Mask Button

Displays the currently selected mask. When clicked, the Mask Menu is displayed to select a mask.]

Refer to the Mask Button in the Image Menu for details.

Import Button

Displays the file path to the currently selected background image file. When clicked, a dialog box pops up to select the background image file for import. When you select a file in the dialog box, it displays the file path to the selected file.

Area Coordinate Field

Displays the currently set x-axis, y-axis, height and width values of the selected background image. You can change these values to set the location (x-axis and y-axis values) and size (height and width values).

Init Button

Initializes the background image's transparency, color and coordinate values by resetting them with the default values. However, the type of the mask and type of background image remain unchanged.

Adjust Button

Adjusts the background image. When clicked, the fields for values for the coordinate of the specified rectangle, brightness, contrast and saturation are displayed.

F Refer to the Image Button in the Image Menu for details.

Transparency Field and Scroll Bar

Sets the transparency of the background image via a value field and scroll bar. You can specify a transparency value between 0 and 255.

Remove Color Button

Removes a specific color or gradation from the background image.

Refer to the Remove Color Menu for details.

Type Button

Sets the background image's type with the three available types.

The default type and it stretches the image to fit the work window in size. In case the image is larger than the work window, it shrinks the image to fit the window's size.

Tiles the image when the image is smaller than the work window. If the image is larger than the work window, it shrinks the image to fit the work window's size.

Lets you specify the location and size of the image by entering values in the fields: the x-axis and y-axis coordinate values for location and the height and width values for size.

Remove Button

When clicked, it removes the current background image from the work window..


Page Menu

Displays all pages you are currently working on. You can see thumbnail view of all pages and use the scroll bar to see the pages that are out of view. If you want to select a page, click on the thumbnail of the page you want and it will become the current page. When you click the right mouse button on a page, a popup menu appears that lets you cut, copy, paste or delete the page. Also, you can set the default page properties so that all the newly created pages inherit the properties to eliminate the redundancy in configuring the page properties the way you want for each new page you create.

Page Movement Buttons

First Page Button

Switches to the very first page in the current file.

Goto Page Button

Switches to the user-specified page via a dialog box. You can either use the slide bar or manually enter the page number to specify the page you want to switch to.

Last Page Button

Switches to the very last page in the current file.

Set Default Button

Sets the default page properties. When clicked, the Default Page Menu appears and lets you set the default page and configure the default effects. Once you have configured the default page properties, all subsequent new pages (either created or inserted) will inherit the properties. This eliminates the need to configure the new page’s properties each time you create one.

F Refer to the Default Page Menu section for details.


Page Flow Control Menu

You can control how the page changes from the current one to the next. The default setting is going through pages in the file in the normal sequence. You can change the page flow to skip the current page, or repeat a range of the specified pages (for example, you can set it to display Page #2 through Page #5 three times in a row), or switch to a specific page. The changed configurations become effective when you click the Apply button.

Controls the flow of pages. When clicked, the Page Flow Control Menu appears and lets you configure the page flow. The default is Next Page (switching to the next page in the file in sequence). You can specify Repeat (repeating the current page), Skip This Page (skipping the current page) or Move to Specified Page (switching to the specified page).

Skip This Page Button

Skips the current page at playback. You can’t select this option with other options.

Repeat Button

When selected, after displaying the current page, Flying PopCorn will go back to the specified page and repeat the playback of pages. You can specify the number of repeats. When this option is selected, you also need to select either the Jump button/option (switching to a specified page) or Next Page button/option (making the normal page transition to the next page in sequence). The default is Next Page.

Number of Repeats Field

Displays the page number of the page selected as the start point for repeated playback and the number of repeats. The page that can be selected as the start of the repeat cycle can only be one that is previous in sequence to the current page (its page number is smaller than that of the current page). The repeat number can be between 1 and 999. For example, if the current page’s page number is 10, the page number of the page you want the repeat cycle start at is 5, and you want to repeat the playback twice (2), then Flying PopCorn will repeat playing back pages 5 through 10 twice after it has played back the current page (Page #10).

Jump Button

Switches to the specified page after playing back the current page. When this button is active (i.e., being pressed down), Flying PopCorn will jump (switch) to the specified page at the completion of the current page’s playback. For example, if the current page is Page #3, the specified jump page is Page #6, then Flying PopCorn will skip Pages #4 and #5 to play back Page #6 after it played back Page #3.

Jump Page Number Field

Displays the currently set page number to jump to. The default is the next page’s page number. You can specify any page number between the page number of the next page in sequence and the page number of the last page in the file.

Go to Next Button

The default setting. With this setting in effect, Flying PopCorn will play back pages in the normal sequence.


Background Sound Menu

You can configure a page with sound files as background sound effect. You can configure each page with a different background sound. You can specify either to continue or stop the playback of the sound file started in the previous page. This sound file association is applied to the page and therefore is different from the sound associations applied on the In/Action/Out effects for the page.

Background Sound Button

Configures the background sound for the current page. When clicked, a dialog box appears and lets you select a sound file as the current page’s background sound and configure its sound properties.

Disable Background Sound Button

Disables the current page’s background sound. When clicked, Flying PopCorn disables the background sound configured for the current page by removing the association of the sound file.

Pause Button

Pauses the playback of the background sound. When clicked, Flying PopCorn pauses playing back of the background sound file.

Play Button

Plays back the background sound. When clicked, Flying PopCorn continues playing back of the background sound file, even the sound file associated with the previous page.

Open Background Sound File Button

Displays the file path to the current background sound file. When clicked, a dialog box appears and lets you select a sound file as the current page’s background sound and configure its properties. When the current page already has background sound, the Preview Play button and the Remove button appear automatically.

Play Effect Sound Button

Plays the sound file you have selected as the current page’s background sound. During the playback of the sound file, this button’s face shows a stop sign image so that, when you click it again, the playback stops and the button’s face returns to its original image.

Remove Effect Sound Button

Removes the association of the sound file as background sound for the current page.


Page Transition Speed Control Menu

This menu lets you configure the speed of the In/Action/Out page-transition effects and associate sound files with the effects individually. The types and availability of specific properties vary depending on the type of effect.

1) Program Effect Menu

Default Button

Sets the default speed of page-transition effects and the related properties. When you’re done with configuring the default properties and activate this button (i.e., kept being pressed down), the buttons, scroll bars and value input fields for configuration will become inactive.

Refer to the Default Effect Configuration on the Play Menu section for details.

User-Defined Configuration Button

Lets the user configure various properties. This is the default setting. When clicked, Flying PopCorn activates all the buttons, scroll bars and value input fields for user-defined configuration.

Open Sound File Button

Displays the file path to the currently selected sound file. When clicked, a dialog box appears and lets you select a sound file.

Refer to the Sound Dialog Box section for details.

2) Graphic Effect Menu

In this menu, you can configure the direction, colors and fluidity of page-transition effects.

Direction Button

Sets the direction of the selected page-transition effect. This button appears only when the current effect you are configuring is a graphic effect.

The default direction setting. When clicked, the default direction setting associated with the effect is applied.

Reverses the direction. When clicked, the direction of the page-transition effect is reversed. For example, if the selected effect was for page-transition from left to right, it now is from right to left.

ColorKey Buttons

Sets the color of the selected page-transition effect.

The default setting and uses a blue color value for page-transition effects.

Uses a green color value for page-transition effects.

Uses a red color value for page-transition effects.

Uses a white color value for page-transition effects.

3) Effect Speed Control Menu

In this menu, you can configure the speed and repeat cycle of the page-transition effects.

Number of Repeats Field and Scroll Bar

Lets you specify the number of repeats between 1 (default) and 100. The current page plays back the number of times as specified when played back.


Page Transition Delay Control Menu

This menu lets you configure the delay time of the In/Action/Out page-transition effects and associate sound files with the effects individually. The types and availability of specific properties vary depending on the type of effect.

Default Button

Sets the default delay time of the page-transition effects. When you’re done with configuring the default properties and activate this button (i.e., kept being pressed down), the buttons and value input fields for configuration will become inactive.

Refer to the Default Effect Configuration on the Play Menu section for details.

User-Defined Configuration Button

Lets the user configure the delay time. This is the default setting. When clicked, Flying PopCorn activates all the buttons and value input fields for user-defined configuration.

Delay Time Button

Specifies the delay time in increments of 1/10 second. When clicked, Flying PopCorn activates the Delay Time Field for your specification. Flying Popcorn delays the playback of the page by the amount of time specified when it plays back the page.

Delay Time Field

Displays the current delay time and lets you specify a value between 0 and 9999. The unit is 1/10 second.

Keyboard Input Button

Makes Flying PopCorn to wait for user input via a keyboard instead of specifying a delay time. When clicked, Flying PopCorn will pause at the current page and wait for an input from the keyboard in order to resume. The keyboard input required is pressing the Spacebar key.

Signal Button

Makes Flying PopCorn to wait for a signal via an RS232C port. When clicked, Flying PopCorn will pause at the current page and wait for a signal through an RS232C port in order to resume.

Clock Button

Sets the delay time at a specified time and date. When clicked, a dialog box appears and lets you specify the time and date. Flying PopCorn will wait until the specified date and time to resume.

Refer to the Clock Dialog Box section for details.


Play Menu

This menu helps you create and play back the playback preparation files (EDP) and play back existing preparation files. Also, you can play back multiple files and a specific range of a file. For playbacks, Flying PopCorn provides you with an automatic mode and a manual mode. The automatic playback mode plays back a file automatically without interruption. The manual mode pauses at each page-transition effect for external input (e.g., use’s pressing the Enter key or the left mouse button) to resume.

Single File Button

Plays back the current file or the selected file using the Open button. This is the default playback setting and is used for playing back one file at a time.

Multi File Button

Plays back multiple files. When clicked, the Multiple File Open dialog box appears and lets you configure a Multi File (EDL) that contains multiple files.

Refer to Multi File Play under Play on the main menu bar for details.

Open Button

Displays the file path to the current preparation file. When clicked, a dialog box appears and lets you select a preparation file. You can bring in an existing preparation file for playback.

Playback Range Field and Scroll Bar

Specifies the pages within a file for playback. You can either use the scroll bar or manually specify the range of pages for playback, by enter the start page number and the end page number.

Set Play Resolution and Area Button

Configures the playback window properties. When clicked, the Play Resolution and Window Size Setting button appears and lets you configure the window’s resolution, size and position.

Refer to the Play Resolution and Window Size Setting button for details.

Playback Speed Field

Specifies the general speed of the playback. You can specify a value between –1000 and 1000.

Infinite Button

Plays back a file infinitely until you press the Esc key. Once all pages in the file are played back, Flying PopCorn returns to the first page and repeats the playback.

Repeat Button

Specifies the number of repeats of the playback. When clicked, Flying PopCorn activates the field to let you enter a value. However, when you click the Esc key, Flying PopCorn will stop the playback even when it has not yet fulfilled the number of playback repeats.

Repeat Field

Specifies the number of playback repeats. The default is “1”. You can specify a value between 1 and 1000.

Manual Play Mode Button

Switches the playback mode to Manual Mode. When clicked, the playback proceeds with the user’s pressing the Esc key. Flying PopCorn pauses at each In/Action/Out effect and resumes only when you press the Esc key.

Auto Play Mode Button

Switches the playback mode to Auto Mode. When clicked, Flying PopCorn plays back a file without interruption, except for the pages with links configured.

Prepare Button

Creates a preparation file (DMP) with all the currently configured properties. When clicked, Flying PopCorn shows a progress bar reflecting the progress of the operation.

Play Button

Plays back a preparation file (DMP). If there is no preparation file, clicking this button is ignored. (When you want to play back the current work file (EDT), you must first create a preparation file by clicking the Prepare button.) When clicked, the screen changes the display resolution with black background color and waits for the user’s prompt (either pressing the Esc key or clicking the left mouse button) to start the playback.

Prepare & Play Button

Creates a preparation file and then plays it back in sequence. This is useful when you want to play back the current work file since preparation and playback can be initiated in one step. When the preparation process is completed, Flying PopCorn immediately starts the play back the file with the user’s prompt.


Play Resolution and Window Size Setting Dialog Box

This dialog box helps you set the resolution and the size and location of the playback window. You can configure the properties so that you can have the playback window in the size and resolution you want and positioned where you want. Also, you can specify whether to have a black background color in the window.

Resolution Fields

You can set the playback window’s resolution to one of the four pre-defined settings: the current resolution, 640x480, 800x600 and 1024x768. Although you get better display quality with higher resolution settings, the file size becomes larger.

Window Size Fields

Specifies the size (width and height values in pixels) of the playback window. The size can be set within the set resolution. For example, if you have set the resolution at 1024x768 and window size at 640x480, the playback window will take up 1/4 of the screen.

Fill Background with Black Color Check Box

When checked, Flying PopCorn paints the outside the playback window black. When unchecked, the area outside the playback window remains unchanged so that you can have Flying PopCorn playback on the desktop with other applications running.

Play Window Position – Center Position Check Box

When checked, Flying PopCorn positions the playback window centered in the screen.

Play Window Position – Define Position Check Box

When checked, Flying PopCorn lets you specify the position of the playback window in the screen. You can specify the x-axis and y-axis values in pixels. For example, if you specify “100” for both x-axis and y-axis values, the windows will be positioned at a location 100 pixels down and 100 pixels to the right from the uppermost left corner of the screen.


Play Flow Control Menu

Controls the flow of the playback of a file. Press the F9 key during the playback of a file to display the Play Flow Control Menu. This menu lets you switch between the Auto Mode and Manual Mode, switch to a specific page, and stop and resume the playback. Also, the menu lets you have the menu shown or hidden.

Continue Play Button

Continues the playback of a file. When clicked in the Auto Mode, this menu disappears and the playback continues. However, when clicked in the Manual Mode, this menu remains visible and performs the In/Action/Out effects configured in the file and then waits for user input.

Current Page Number Display

Displays the current page.

Goto First Button

Switches to the first page in the current file and plays it back.

Goto Previous Button

Switches to the previous page in the current file and plays it back.

Goto Specific Button

Switches to the specified page in the current file and plays it back. When clicked, a dialog box appears and prompts you for the target page to switch to. Use the scroll bar to select the page you want to switch to and click on the page stamp.

Goto Next Button

Switches to the next page in the current file and plays it back.

Goto Last Button

Switches to the last page in the current file and plays it back.

Mode Change Button

Switches between Auto Mode and Manual Mode as a toggle switch. The character image on the button reflects the current mode: it shows an “A” in Auto Mode and an “M” in Manual Mode.

Exit Button

Quits the playback of a file. When clicked, Flying PopCorn quits the current file’s playback and returns to the previous state of the program.

Hide Button

Hides the Play Flow Control Menu. When clicked, the menu disappears until you press the F9 key again.


Default Page Menu

In this menu, you can set the default page and default properties for In/Action/Out effects on pages. Configured properties are inherited in all the subsequently created or inserted pages. If you select one of the template pages available on the Template Menu as the default page, you won’t need to configure the properties of each new page you create since they automatically inherit the properties of the page you have selected as the default. The page properties inherited from the default page include the page-transition effects, such as In/Action/Out effects, page-transition time, sound effects and delay time. These page-transition effects are configured in the same way you configure them on the Page Transition Effects Menu.

Refer to the Page Transition Effects Menu section for details.

Template Page Number Display

Displays the identifying number of the template page. If no template has been selected, it displays “0”.

Template Stamp

Displays a thumbnail view of the template page that has been set as the default page. If no template is available, it displays the Flying PopCorn logo.

Set Default Page Button

Sets the selected template as the default page. When you click this button (and the button keeps being pressed down until the next time it’s clicked again), all new or inserted pages will inherit the properties of the default page. If the button is not in the state of being pressed down, the default page properties are not inherited even if you have set the default page.

How to Configure the Default Page

1. Select a template that you want to use as the default page.

Click a template stamp to switch to the Template Menu. When you have selected a template (not an empty one) to use as the default page, the menu switches back to the Set Default Page Menu and the number of the template page and the template page itself are shown in the Template Page Number Display field and Template Stamp location, respectively.

2. Have the Set Default Page button pressed down.

In order to use the template as the default page, you need to have the Set Default Page button in the pressed-down state. Click this button and confirm that the button is in the pressed-down state.

3. Use the default page.

Click the Apply button and the currently configured properties are applied as the default page’s and the menu automatically switches to the Page Menu. You can confirm that the default page properties are inherited in new pages by clicking on the last template stamp to add a new page. Also, you can select Insert Blank under Page on the main menu bar to insert a new page with the default page properties.

4. Release the Set Default Page.

After you’re done with setting up the default page, release the Set Default Page button by clicking on it so that the properties are set back to the original values.


Page Effect Menu

Displays the currently configured In/Action/Out effects on the current page and lets you change them.

Effect Preview Button

Previews the In/Action/Out effects currently configured on the page. This button appears only when the page has effects configured. If the page has no effects configured, this button is not displayed. Also, since this button only shows the page-transition effects, object animations are not displayed.

Effect Configuration Buttons

Display the In/Action/Out effects currently configured on the page. When you click either the In Effect Configuration button or the Out Effect Configuration button, the Effect Template Menu appears. When you click the Action Effect Configuration button, the Action Effect Template Menu appears. Once you’re in either of the Effect Template menus, the mouse movement becomes limited until you’re done with working with the templates in the respective menu.

Effect Speed Buttons

Displays the current speed of In/Action/Out effects, respectively. When clicked, the Speed Control Menu appears to let you set the speed and configure sound files.

Refer to the Speed Control Menu section for details.

Effect Delay Buttons

Display the delay time settings for In/Action/Out effects currently configured on the page. When clicked, the Delay Time Control Menu appears to let you set the delay time.

Refer to the Delay Time Control Menu section for details.

Play Effect Sound Button

Plays the sound file associated with each of the In/Action/Out effects currently configured on the page. This button appears only when a sound file is assigned with an effect. During the playback of the sound file, this button’s face shows a stop sign image so that, when you click it again, the playback stops and the button’s face returns to its original image.

Remove Effect Sound Button

Removes the association of the sound file to an effect.


Page Attribute Menu

Displays the currently configured tab positions, grid spacing and line spacing properties of the current page and lets you configure them.

Tab Position Fields

Displays the currently configured left, center and right tab positions that are used for text alignment and as reference points for navigating within the page. The default values are 50 pixels, 320 pixels and 590 pixels for left, center and right tab positions, respectively. To show the tab positions in the work window, click the Align button on the Options Menu and select the tab line display type you want. The tab positions are used for aligning text objects.

Grid Spacing Fields

Displays the currently configured grid spacing in x-axis and y-axis values. The default x-axis and y-axis values are 50 pixels each. When you click the Grid button on the Options Menu, the configured grid is shown in the work window.

Single Line Spacing Button

The default line spacing setting and there is no space between lines. When you press the Enter key, the cursor moves down by one line.

Double Line Spacing Button

Inserts a blank line between lines. When you press the Enter key, the cursor moves down by two lines, leaving a blank line in-between.

User-Defined Line Spacing Button

Let’s the user specify the line spacing value. When clicked, the line spacing value field is activated and you can specify a value between 0 and 480 pixels.


Page Infomation Menu

Page Information Menu

Displays the current file’s total number of pages, the current page number, mouse cursor’s position and the size of the object.

Page Number Field

Displays the current page’s page number. When you enter a page number and press the Enter key, it switches to the specified page.

X-axis and Y-axis Fields

Displays the current position of the mouse cursor as a coordinate of x-axis and y-axis values in pixels if the mouse cursor is within the work window. The uppermost left corner of the work window is the reference point (having a coordinate of “0” and “0” for x-axis and y-axis values).

Object Size Display

Displays the size of the object. When you place the mouse cursor on an object, it shows the object’s width and height in pixels.


Template Menu

This menu helps you save a certain set of properties of objects or pages as templates for later re-use. You can view the available templates using the scroll bar. By default, there are 100 template stamps. However, since you can create unlimited number of new templates.

Background Button

Used to include the background image in the template being created. By default, the background image is not included in the template. Click this button to have the background image included in the template you’re creating.

New Button

Creates a new template. When clicked, a dialog box appears and prompts you to name the template. Enter the name for the new template and click the Save button to save the template with the specified name.

Open Button

Opens an existing template. When clicked, a dialog box appears and prompts you for the name of the template. Enter the template’s name and click the Open button to bring in the template.

Save Button

Saves the current template. When clicked, a dialog box appears and prompts you to name the template. Enter the template’s name and click the Save button to save the template with the specified name.

How to Create a Template

1. Select the objects you want to use as a template. To select objects, first click the left mouse button on the first object and then either drag the mouse cursor to include other objects or, while holding down the Ctrl key after pressing it, continue clicking on the objects you want to include.

2. Click the Background button to include the background image in the template. If you don’t want to include the background image in the template, leave it untouched.

3. Click on one of the selected objects and start dragging it. (If you click anything other than the selected objects, the selection is cancelled.)

4. Drag the mouse cursor to a template stamp area and release the mouse button.

How to Use a Template

Either click the template stamp or drag the template into the work window and release the mouse button. The objects included in the template will be put into the work window. If a background image is included in the template, the background image will also be put into the work window.


Animation Menu

Generates frame-level animation automatically, creates a new animation, and brings in an existing animation file. As for automatic animation generation, you only need to specify the start and end frames and the number of frames in-between, then Flying PopCorn generates the specified number of frames automatically. For example, after you specify Frame #1 as the start frame and Frame #2 as the end frame and specify 20 as the number of frames for automatic generation, Flying PopCorn will generate 20 frames for a total of 22-frame animation.

You must assign objects you want animate (i.e., changing their sizes or positions) to groups because Flying PopCorn animation is based on groups.

Back to Page Edit Button

Switches the work mode to Page Mode, when clicked. Since the work window is a frame within an animation page (that is one of the pages within the current file), if you need to perform page-level work, click this button to switch the work mode to Page Mode. If the animation generation was successful, a letter “A” will be displayed on the uppermost right corner of the Page Menu.

Disable Page Animation

Disables the current page’s animation. When clicked, the work mode is switched to Page Mode without the “A” sign on the uppermost right corner. This button is used when you don’t want to configure the current page as an animation page and quit the animation work.

New Button

Creates a new animation file (EDA). When clicked, a dialog box appears and prompts you to specify the name of the file. When you enter the file name and click the Save button, Flying PopCorn initializes the menu for automatic animation generation.

Open Button

Opens an existing animation file. When clicked, a dialog box appears and prompts you to specify the name of the file. When you enter the file name and click the Open button, Flying PopCorn brings in the specified file.

Save Button

Saves the current animation file. When clicked, a dialog box appears and prompts you to specify the name of the file. When you enter the file name and click the Save button, Flying PopCorn saves the file with the specified name.

File Path Button

Displays the file path of an animation file. When clicked, a dialog box appears and prompts you to specify the name of the file. When you enter the file name and click the Open button, Flying PopCorn brings in the specified file. This button works the same as the Open button.

Start/End Frame Range Fields and Scroll Bar

Specifies the range for automatic frame generation. For example, when you want Flying PopCoron to generate 20 frames between Frame #1 and Frame #2, either use the scroll bar or manually enter values “1” and “2” in the fields to specify the range.

Animation Preview Windows

Display the specified frames. For example, when you specify “1” and “2” as start and end frame numbers, respectively, for an automatic generation, then these windows will display Frame #1 and Frame #2, respectively.

Animation Speed Field and Scroll Bar

Specifies the speed of animation. You can either use the scroll bar or manually enter a value between 0 (slowest) and 100 (fastest) to control the speed of animation. The speed specified will be applied to all animations at playback.

Animation Speed Type Button

Selects the type of animation speed.

Increase Speed Button

Accelerates the animation (animation becomes faster over time).

Same Speed Button

Applies a constant speed during the animation.

Same Speed Button

Applies a constant speed during the animation.

Reverse Button

Returns to the beginning of the animation after a playback. When clicked, once an animation completes, Flying PopCorn returns to the first frame.

Number of Frames Field

Specifies the number of frames for automatic generation. The default value is “20” and you can specify a value between 5 and 1000. This value is equivalent to the in-between steps between the state of the start frame and the state of the end frame. Therefore, the larger this value, the finer and more detailed the resulting animation is.

Delay Time Field

Specifies the time between a frame and the next displayed. The default value is 0. You can specify a value between 0 (no delay) and 1000 (1 second) in milliseconds (1/1000 second). This setting only applies to the frames generated automatically.

Generate Button

Generates the specified number of frames. When clicked, Flying PopCorn generates the frames and the generation process is shown as a progress bar. If there is no animation object in the work window or the current page, clicking this button is ignored.


Create an Animation Frame

1. Select the target for animation.

Assign the objects for animation to groups. Objects in the Background Group cannot be animated.

2. Switch to Animation Mode.

Click the Animation button on the Select Mode menu to switch the work mode to Animation Mode. The Animation Menu appears in the right pane.

3. Open a new file.

Click the New button and a dialog box appears, prompting for the name of the new animation file (EDA). Enter the file name. (Note: If you specify an existing file’s name, the newly created file will overwrite the existing file.) After you click the Save button, the buttons on the Select Mode menu change because the Animation Mode’s unit of work is a frame, not a page (i.e., what’s in the work window is a frame within an animation page). Also, when you create a new animation file, two frames are automatically generated by default. (You can confirm the two frames by clicking the Page button on the Select Mode menu.)

4. Specify the range for automatic generation.

Either use the scroll bar or manually enter values to specify the start and end frames. For example, if there is an existing 20-frame animation in the file and you want to continue the animation by adding more at the end, then specify “20” and “21” as start frame and end frame, respectively. (When you have just created a new animation file, the fixed values “1” and “2” will be used for start frame and end frame, respectively.)

5. Configure the movements of objects.

Automatic generation creates in-between states of objects (i.e., their sizes and positions) between two states (i.e., as they are in the start frame and in the end frame). Switch the current frame to the start frame (by clicking on the start frame stamp) and carefully determine the size and position of the objects within it. Then, switch to the end frame and make changes to the objects’ size and position to reflect the end-result of the animation you’re creating.

6. Determine the number of frames.

Enter a value in the Frame field. The default value is “20”. The bigger the number, the smoother the animation and the larger the file size.

7. Generate.

Flying PopCorn generates the frames according to your specifications. A progress bar will display the progress of the generation process. After completion, you can confirm the generated frames by either using the scroll bar or clicking the Page button on the Select Mode menu.

8. Link animations.

To add animation at the end of an existing animation file, repeat Steps 4 through 7 above. In other words, specify the last two frames of the exiting animation file as the start and end frames for automatic generation. For example, if the existing animation has 20 frames, then specify the start frame as “19” and the end frame as “20” and generate the in-between frames.

9. Return to Page Mode.

Click the Back to Page Mode button to switch to Page Mode after completing the animation work. To signify that there is an animation in the file, Flying PopCorn will place a status sign (the letter “A”) at the uppermost right corner of the Page Menu. If you will not use the animation in the file, click the Disable Page Animation button.


5

Effect Menu

In this menu, you can configure In/Action/Out effects on pages and specify different speeds and delay times for different effects independently. Also, you can associate background sounds (so that the sounds can be played back with page effects) and specify the order and repetition of pages.

Page Number Display

Displays the page number of the current page.

Page Preview Window

Displays the page with the currently configured properties.

Effect Buttons

Displays the currently configured In/Action/Out effects. When you click either the In Effect or Out Effect button, the mouse cursor automatically moves to the Program Effect Template Menu. When you click the Action Effect button, the cursor moves to the Graphic Effect Template Menu. Once the mouse cursor is placed in one of the Effect menus, the cursor movement becomes limited until you’re done with configuring the effect.

How to use a New Button in Effect Template Menu

Using a New Button (if Graphic Effect) in Effect Template Menu, Users can apply a image file users want to use to a graphic transition effect.

1) Insert File into Background Image Directory

Insert background image which can be used as Graphic transition effect into background image directory program is installed (For example, if program is installed in C:\PopCorn, it is Backgrnd directory that is in the C:\PopCorn directory.) like the same format of User0001.jpg. The format of Transition effect should be JPG and the file name should be named using the same naming method as User0001 through User9999.

2) Make a whole graphic transition effect using a new button in the effect template menu

3) Load a new created user effect template menu using open button in the effect template menu. (User effect template menu is created in the same format as User0001.efg)

4) Use it as a special graphic transition effect after setting it to graphic transition effect

10,000 of user graphic transition effects (User0001.jpg through User9999.jpg) can be used and can be created (like User0001.efg) only if using new button.

Effect Speed Buttons

Displays the current speed of the effect. When clicked, the Speed Control Menu appears and lets you specify the speed and associate a sound file.

? Refer to the Speed Control Menu section for details.

Effect Delay Buttons

Displays the current delay time of the effect. When clicked, the Delay Control Menu appears and lets you specify the delay time and associate a sound file.

? Refer to the Delay Control Menu section for details.

Play Effect Sound Button

Plays the sound file associated with each of the In/Action/Out effects currently configured on the page. This button appears only when a sound file is assigned with an effect. During the playback of the sound file, this button’s face shows a stop sign image so that, when you click it, the playback stops and the button’s face returns to its original image.

Remove Effect Sound Button

Removes the association of the sound file to an effect.

Page Flow Control Button

Controls the flow of pages. When clicked, the Page Flow Control Menu appears and lets you configure the page flow. The default is Next Page (switching to the next page in the file in sequence). You can specify Repeat (repeating the current page), Skip This Page (skipping the current page) or Move to Specified Page (switching to the specified page).

? Refer to the Page Flow Control Menu section for details.

Background Sound Button

Associates a sound file with an effect on the current page. When clicked, the Background Sound Menu appears and lets you select a sound file. You can associate a sound file as the page’s background sound, or specify to either continue or stop the playback of the sound file started in the previous page. This sound file association is applied to the page and therefore is different from the sound associations applied on the In/Action/Out effects for the page.

? Refer to the Background Sound Menu section for details.


Link Menu

This menu lets you create and configure links on objects. You can configure links on an object so that, clicking on the object during the playback of a file can trigger either the playback of a sound or video file, or the initiating of a page-transition effect, or the executing external programs. However, in order to configure a link on an object, the object must not have an In effect configured.

Link Type Button

Selects the type of link on the current object.

The default link type and does not use a link.

Links to the next page. When you click on the object with this link configured during the playback, Flying PopCorn will switch to the next page in sequence.

Links to a specific page. When clicked, Flying PopCorn activates the page number input field and scroll bar. You can enter the page number as value. When you click on the object with this link configured during the playback, Flying PopCorn will switch to the specified page.

Links to an object animation in the specified page. When clicked, Flying PopCorn activates the page number input field and scroll bar. When you click on the object with this link configured during the playback, Flying PopCorn will perform the animation of the objects but leave the current page intact unchanged. This is useful to have animation effect with objects that are not in the current page.

Links to an external sound file. When clicked, Flying PopCorn displays a dialog box to let you select a sound file. When you click on the object with this link configured during the playback, Flying PopCorn will play back the sound file.

Configures the properties of objects assigned in groups. When clicked, Flying PopCorn displays the Link Menu.

Pauses the playback of the current file. When you click on the object with this link configured during the playback, Flying PopCorn will pause the playback of the file.

Links to an external program. When clicked, Flying PopCorn displays a dialog box to let you select an external program file. When you click on the object during the playback, Flying PopCorn will execute the specified external program file. For example, if you link to “notepad.exe”, when the link is activated, Flying PopCorn will run the NotePad program. If the selected file is not an executable file, this link will be ignored.

Link Page Input Field and Scroll Bar

Sets the page for linking. The field and scroll bar are active only when the link type is either Move to Specific Page or Play Specific Page. When you enter a page number, the page stamp appears in the Page Preview window.

Focus and Click Type Buttons

Selects the way the object behaves when the mouse cursor is placed on it (the Focus state) or when the left mouse cursor is clicked on it (the Click state). When clicked, a dialog box appears that lets you select the type.

Configures the object with Focus or Click type link. When clicked, a rectangular edge appears around the object in case the type is of Focus.

Configures the object without Focus or Click type link. There will be no events linked with the object when it is in the Focus or Click state.

Focus and Click Sound Effect Button

Displays the currently configured sound files associated with Focus and Click effects. When clicked, a dialog box appears and lets you select a sound file. If a sound file is currently associated, the Preview Sound button and the Remove Sound button are displayed.


Object Template Menu

Each object template menu has room for storing 500 templates. Also, since Flying PopCorn lets you create new templates yourself, the number of templates available is unlimited.

If you create templates and save them in categories (e.g., images related to anniversaries in one location and images related to whether in another), the retrieval of templates later will be more useful and manageable.

Clipart Image Template Menu

The picture shown below depicts the Clipart Image Template Menu with its default setting. The Menu displays 10 template stamps. You can browse other stamps in the menu by using the scroll bar.

Extend Button

When clicked, the menu expands in size and displays 40 stamps. Also, the buttons for creating a new template, opening a template, and saving a template appear to help you manage the templates.

Shrink Button

Returns to the menu’s original size. When clicked, the menu goes back to its default size with 10 templates displayed.

Fix Button

When you click on a stamp when the menu is expanded, the selected stamp becomes the current object and the menu returns to its original size. If you want to keep the menu expanded, click this button to fix its size expanded.

New Button

Creates a new template. When clicked, a dialog box appears and prompts you for the name of the new template file.

Open Button

Opens an existing template file. When clicked, a dialog box appears and lets you select an existing template file.

Save Button

Saves the current template file. When clicked, a dialog box appears and prompts you to specify the file name for the template file. You can specify a different name from the current file’s to keep the original unchanged.

How to Use Templates

1) Save the object in the Preview Window or Work Window as a template.

Click the left mouse button on the object in the Preview Window or Work Window and drag it to an empty stamp slot on the template menu to save it as a template.

2) Apply the template’s properties to an object.

Click the left mouse button on the template and thee text object in the Work Window will inherit the text properties of the template. Or, you can click the right mouse button on an object in the Work Window, select Object Properties Change Mode in the submenu appeared and click on a template, the object in the Work Window will inherit the properties of the template’s.


Color Trim Menu

This menu lets you remove specific colors or gradation colors from clipart images, background images and textures. When clicked, a menu appears that lets you specify the removal of color or gradation. This is used when you want to bring in only the image without the background color.

Disable Color Trim Button

Disables or reverses the color removal function. When clicked, the objects with color removal configured will return to its original state with the color intact.

Trim Color Gradation Button

Removes a color gradation. When clicked, you can select one of the ten pre-defined color gradation removal schemes.

Color gradation trimming helps you use a specific color more effectively by removing a range of color gradations close to the color.

Removes the black-range color gradation.

Removes the red-range color gradation.

Removes the green-range color gradation.

Removes the blue-range color gradation.

Removes the white-range color gradation.

Removes the first-level background color gradation.

Removes the second-level background color gradation.

Removes the third-level background color gradation.

Removes the fourth-level background color gradation.

Removes the second-level white color gradation.

Trim Selected Color Button

Removes a specific color from the image. When clicked, a menu appears and lets you select the color you want to remove.

You can remove a specific color by specifying either the RGB (Red, Green, Blue) values or the HSV (Hue, Saturation, Value) values for the color. Or, you can also use the Color Picker to pick any color displayed on screen.

Color Preview Window

Displays the color selected for removal.

Color Picker Button

Used to pick a color from anywhere on the screen. When clicked, you can click the left mouse button on any location in the screen to collect the color the location contains. Since the mouse cursor movement is limited to collecting the color from the location where you click the mouse button on, you need to click the button again after collecting a color.

Color Field and Scroll Bar

You can specify the color for removal by using the scroll bar or manually entering either RGB or HSV values. For example, if all RGB values are “0”, the color specified is black; if “255”, it’s white.

Color Mode Buttons

Switches the color mode.

The default mode. You can specify a color by entering a value between 0 and 255 for each of the three Primary Colors of Light (Red, Green, Blue) separately.

Specifies a color by entering a value between 0 and 359 for Hue and a value between 0 and 100 for Saturation and Value.


Object Animation Menu

In this menu, you can configure animation properties of text, image, shape and video objects. Animations include the In/Action/Out effects and sound effects. Also, you can configure the speed and delay time for each effect separately.

In/Out Effects

When clicked, the Object Animation Effect Template Menu appears in the right pane and helps you configure In and Out effects. Also, the Graphic Effect Menu provides you with graphical page-transition effects for creating smoother and sophisticated animations.

Sound Preview Button

Previews the sound file configured with In/Out effects. When clicked, the sound file is played back. This button is active only when there is a sound file configured with the selected effect.

Remove Sound Button

Removes the association of a sound file with the selected effect. When clicked, the association with the sound file is removed and this button and the Preview Sound button disappear.

Effect Speed Button

Displays the currently set speed of object animation. When clicked, the Effect Menu appears and lets you configure the speed of animation, sound and transparency.

F Refer to the Effect Menu for details.


Object Animation Attribute Menu

In this menu, you can configure the sequence, speed and delay time of animation, associate sound with animation and set the transparency of animation. If the object is configured with graphic effects, you can configure the direction, colors and smoothness of animation instead of transparency.

Step Field

Displays the current step of object animation. The default value is 16. You can specify a step value between 4 (fastest, roughest) and 64 (slowest, smoothest).

Delay Field

Displays the current delay time set for object animation. The default value is 50. You can specify a value between 0 (fastest) and 999 (slowest). You can think of this value as the general speed of animation.

Delay Time Button

Displays the current delay time set for initiating the object animation. When clicked, the Effect Delay Menu appears. Animation starts after the specified amount of time from the time of initiation.

ColorKey Button

Enabled by default. Disable this option when the clipart image or video is displayed blurry during an animation.

Enabled by default and uses a color key.

Disables the use of a color key.

Transparency Control Field and Scroll Bar

Controls the transparency of object animation. You can specify the transparency at the beginning and at the end separately. The value can be between 0 and 255. The default is 0. The value of 0 is equivalent to no transparency at all and 255 is equivalent to maximum transparency (i.e., the object becomes invisible).


Print Menu

Prints pages, objects or a selected area. You can configure the paper size, printer, margins, number of copies and location. The unit can be either millimeters or inches and you can select either unit by selecting Preferences under File on the main menu. When this menu is activated, the work window becomes a print preview window and displays the target for printing in the exact format when printed. You can resize the print area by either dragging or manually entering values of the four corner coordinates in pixels.

Paper Size Fields

Displays the paper size with the paper’s width and height values in the selected unit.

Margin Fields

Displays the margin settings of the paper. You can specify all four margins (left, right, top and bottom).

Print Area Button

Prints all pages in the file.

Prints only the specified pages. When clicked, a dialog box appears and lets you specify the start and end pages for printing range.

Prints only the user-specified area in the page. You need to define the print area before using this button (by drag the mouse cursor to define the area in the page while holding the Ctrl key pressed down). If there is no print area defined, this button becomes inactive.

Number of Copies Field

Displays the number of copies for printing. The default is 1. For example, if you are printing 2 copies of Page #1 through #3, you will get 2 copies of each page (i.e., #1, #1, #2, #2, #3, #3).

Collate Copies Check Box

Lets you decide whether to collate when printing multiple copies. For example, if you are printing 2 copies of Page #1 through #3, you will get 2 copies of the 3-page set (i.e., #1, #2, #3, #1, #2, #3).

Printable Area Fields

Lets you define the printable area on the page, including margins. You can set the x-axis and y-axis coordinate values of the start position and the area’s width and height in pixels. For example, an area with x-axis value of “100”, y-axis value of “100”, width of “200” and height of “200” will print a 200-pixel wide and 200-pixel high area from the position that is 100 pixels down from the top edge, 100 pixels from the left edge of the paper.

Print Button

Prints the page(s) or the defined print area with the printing properties configured.

Cancel Button

Cancels printing. When clicked, Flying PopCorn cancels the current print job and returns to Page Mode.


Clock/Timer Dialog Box

Used to set the delay time. You can set the delay time in hours, minutes and seconds. You can use it as a clock or as a timer (including a countdown timer) and specifies its position in the window.

Clock/Timer Field

You can select either a clock or a timer to set the delay time. The default is the clock mode. When selected as a clock, Flying PopCorn waits until the specified time and resumes its operation. As a timer, Flying PopCorn waits for the amount of time specified instead. For example, if you set the clock at midnight (00:00), then Flying PopCorn waits until midnight and resumes the playback of a file. If you set the timer for 5 seconds, Flying PopCorn waits for 5 seconds and resumes the playback of a file.

Up/Down Field

Enabled only when in timer mode. You can select the timer to count up or down. When set to count up, the timer increases the amount time until it reaches the specified delay time amount. When set to count down, it decreases the specified delay time amount until it reaches 0.

Start/End Time Fields

Specifies the start time and end time. You can specify the start time and end time for a delay time individually.

Display Clock/Timer Field

When enabled, Flying PopCorn displays the clock or timer showing the remaining time.

Display Location Field

Specifies the location of the clock or timer. This field is enabled only when the clock or timer is configured for display (i.e., the Display Clock/Timer field is checked).

Display Options Field

Specifies to display hours, minutes, seconds, AM/PM indicator or the separator sign. For example, when you include hours, minutes, seconds and AM/PM indicator and specified the colon (:) as separator, then midnight will be displayed as “AM 00:00:00”.


Sound Configuration Dialog Box

Used to the properties of a sound file. You can select a sound file, and control its frequency, panning, volume, playback time, delay time and repeat frequency, and configure its fade effects. Also, for recording, you can specify the file name and select recording type.

Sound File Button

Selects a sound file. When a sound file is selected, Flying PopCorn automatically plays back the file for preview.

Frequency Slide Bar

Controls the frequency of the sound file. The frequency range you can control is between 100Hz and 100KHz.

Pan Slide Bar

Specifies the amount of sound reproduction for left and right channels. For example, if you drag the slide bar far to the left end, you will hear sound only from the left channel.

Volume Slide Bar

Controls the volume of the sound. Dragging the slide bar to the left will decrease the volume. Dragging to the right will increase the volume.

Time Display

Displays the total amount of playback time and the amount of time played back.

Delay Time Control Field

Specifies the delay time for playing back a sound file. You can specify the delay time between 0 and 1000 (with 1/10 second as unit). For example, if you set this value to “10”, the delay time will be 1 second.

Playback Time Control Field

Specifies the amount of playback time. You can specify the amount of playback time within the range of the total amount of playback time of the sound file. For example, if the total playback time of a file is 100 (10 seconds) and the specified playback time is 50 (5 seconds), then Flying PopCorn will play back only the first 5 seconds.

Fade In/Out Control Fields

Specifies fade-in and fade-out effects. You can specify the time amount for fade-in and fade-out effects individually. For example, if you set the fade-in value to “10” (1 second) and the fade-out value to “10”, then the sound file will continuously increase the volume for 1 second at the beginning (fade-in) and continuously decrease the volume for 1 second at the end (fade-out).

Play/Stop Button

Plays back a file. While a sound file is played back, this button becomes a Stop button.

Record File Field

Specifies the name for the file being recorded. When clicked, a dialog box appears and lets you name the file you are recording. The default file extension is “.WAV”. For example, if you name the file as “PopCorn”, the full file name will be “PopCorn.wav”. If there is an existing file with the same file name, then the existing file will be overwritten.

Input Type List Box

Selects the type of sound input. The types vary depending on the sound chip or card in the computer. By default, the first input type on the list is selected.

Record/Step Button

Records the input sound into a sound file. You need to have a device capable of recording sound (e.g., microphone). When you’re done with recording, click this button again to stop recording.


Object Link Group Menu

This menu helps you work on multiple objects as one unit (hence, groups). In other words, you can treat a set of objects as if one object. For example, when you have several image objects stacked up at the same location, you can assign all these image objects into one group. Then, using Flying PopCorn’s Group Link features, you can handle the images without having all of them visible on the screen with navigation functions like switching to either the next image down the stack, to the previous image, to the very first one or to the very last one. Also, you can have the group invisible for security purposes if needed.

Group Menu provides you with the following three main functions.

    • Selecting a group

    • Selecting objects as a group

    • Using groups

1) Selecting a group.

If you know which group to work on during the editing phase, select Edit option. If you need to select multiple groups using a group link, then select Play option so that you can select groups at the actual playback time.

2) Selecting objects as a group.

Use navigation functions (First, Previous, Next and Last) to move between objects/groups or object/group numbers to move to a specific object/group. For individual objects, you can set properties for their visibility like Show, Hide, Hide then Show and Show then Hide.

3) Using groups.

There are two methods of group playback: All and Seq. All plays back all objects in the group at the same time. [Objects play back according to the Step and Repeat settings. For example, when the Step setting is “1”, then all objects in the group are played back in sequence. When set to “2”, then the odd-numbered objects (e.g., #1, #3, #5, etc.) are played back first and then the even-numbered objects (e.g., #2, #4, #6, etc.).] Seq changes the playback location of objects by the specified amount (in x-axis and y-axis coordinate) each time the objects in the group are played back. [Suppose three images depicting a human walking are assigned in Group 1. After the three images are played back the first time, Flying PopCorn moves the location of the second playback of the images that is apart in distance as specified (as an x-axis and y-axis coordinate), and so on.]


5

Link Menu from one object to any other object

Linking one object to any other object is a function which establish a connection relation between two objects. If linking object is appeared or disappeared, linked object is appeared or disappeared depending on the action of linking object. If the button is set to toggle form, one object can link to any other object.

Setting link between two objects

Select a object to change the attribute

Press the left button [image] beside link setting menu ( the background color of button is changed to red)

Select any other object (text, clipart, image, shape, animation, etc).

Complete the link setting between two objects pressing the button which is pressed in 2) again. (the background color of button is changed to black)

Cancellation linking between two objects

Select a object to change the attribute

Press the left button [image] beside link setting menu ( the background color of button is changed to red)

Select background image not object

Complete link cancellation between two objects pressing the button which is pressed in 2) again. (the background color of button is changed to black)

Notes) When setting a link between two objects, if the connection topology is a circular form, the link between two objects can be established. For example, let objects set to A, B, C, and D

  1. Object A links to Object B

  2. Object B links to Object C.

  3. Object C links to Object D

  4. If Object D attempts to link Object A, B, C or D the topology of linking is circular. This kind of linking topology is not applicable.


Shortcut Keys

Alphabet Keys

KEY | CTRL | ALT | SHIFT + CTRL | SHIFT + ALT
A | Select All | Auto Mode | Append Page | Animation Menu
B |  |  |  | Background Menu
C | Copy | Copy Page | Image Capture | Clipart Menu
D | Deselect All |  |  | Default Menu
E |  | Menu-Edit |  | Effect Menu
F |  | Menu-File |  | Font Menu
G |  | Menu-Group |  | Group Menu
H |  |  |  |
I | Invert Selection | Object Init | Insert Blank |
J | Jump to Page |  |  |
K |  |  |  |
L |  | Menu-Play |  | Play Menu
M |  | Manual Mode |  | Selected Object Menu
N | New File | Copy to Next Page |  |

Alphabet Keys

KEY | CTRL | ALT | SHIFT + CTRL | SHIFT + ALT
O | Open File |  |  | Option Menu
P | Print | Menu-Page |  | Page Menu
Q |  |  |  |
R | Resize | Redraw Screen |  |
S | Save File | Save File As | Scanning | Shape Menu
T | Toggle Text Caret |  |  | Template Menu
U |  |  |  |
V | Paste | Menu-View | Video Capture | Video Menu
W | Object resize Fit to page | Move all object into Window |  |
X | Cut | Exit Program | Free Format ASCII Import |
Y | Redo |  | Template ASCII Import |
Z | Undo |  | ASCII Export |

Function Key

KEY

( Single )

SHFT

CTRL

F1

Help

Key Group Select

Select Group

F2

Mouse move H/V lock

Key Group Deselect

Deselect Group

F3

Hide Selecton

Key Group Hide

Hide Group

F4

Show All

Key Group Show

Show Group

F5

Lock Selection

Key Group Lock

Lock Group

F6

Unlock All

Key Group Unlock

Unlock Group

F7

Key Group to Top

Group to Top

F8

Key Group to Bottom

Group to Bottom

F9

Prepare

Key Group move Up

Move Up Group

F10

Play

Key Group move Down

Move Down Group

F11

Move to Key Group

Move to Group

F12

Group Object Navigationt

Other Keys

KEY | ( Single ) | SHFT | CTRL | ALT
Ins |  |  | Paste Page |
Del | Delete |  | Delete Page |
ESC | Stop Play/Sound |  |  |
PgUp | Move to Prev Page |  | Move to First Page |
PgDn | Move to Next Page |  | Move to Last Page |
Home | Move Caret to Start Text |  |  |
End | Move Caret to End Text |  |  |
Space | Pause (Play) |  |  |
Enter | Continue (Play) |  |  |
Tab | Auto/Manual (Play) |  |  |
↑ | 1 pixel move Up | 10 pixel move Up | Selection Top | Object to Top
↓ | 1 pixel move Down | 10 pixel move Down | Selection Bottom | Object to Bottom
→ | 1 pixel move Right | 10 pixel move Right | Selection Up | Object move Up
← | 1 pixel move Left | 10 pixel move Left | Selection Down | Object move Down
, |  |  | Align to Upper Line | Align to Left Line
. |  |  | Align to Center Line | Align to Center Line
/ |  |  | Align to Bottom Line | Align to Right Line


Main

Flying PopCorn is an animation and multimedia-authoring tool anybody can easily use. With Flying PopCorn and its powerful animation, graphics, text, audio capabilities and a rich set of original multimedia libraries, you can step into the new world of digital multimedia development with ease.

Flying PopCorn provides a simple yet easy-to-learn graphical work environment. With just a few clicks, new computer users can create multimedia contents with 3D sound effects, images, geometrical shapes, text and movie files. Also, professional users will find abundant application potentials and dazzling transformation capabilities to develop sophisticated contents. The more the use, the deeper appreciation and intrigue for the depth of Flying PopCorn's power you will experience. As proof, Flying PopCorn was selected as one of the leading technology development programs supported by the Ministry of Information and Telecommunication of Korea.

Main Functions of Flying PopCorn

  1. Ease of Use

  • Intuitive WYSIWYG work environment

  • User-friendly shortcut keys and a context-sensitive graphical menu system that adjusts itself to the actual workflow

  • Tooltips for all buttons and menu-specific online help system

  • Unlimited Undo and Redo (Undo can even restore the deleted pages)

  • Preview and pre-listening of objects and effects (pages, images, movies, sound files, etc.)

  • Grouping and layering of objects (hiding, position-fixing, vertical movements, etc.)

  • Multi-level selection, copying, deletion and insertion of pages

  • Multi-level selection, moving, sizing of objects

  • Unlimited addition of page styles

  • Support for most multimedia file formats (JPG, GIF, BMP, TGA, PCX, TIF, PSD, IMG, PIC, WMF, WPG, WAV, AVI, MPG, MOV, etc.)

2. Powerful Animations

  • Hundreds of object animations with images, shapes, text and movies

  • Frame-based automated creation and editing of page animation

  • Hundreds of page exports/imports and scene-transition special effects

  • Hundreds of page action effects

  • Animation can be separately applied at sentence-, word- or character-level

  • Full control of animation sequence, speed, latency and sound effects

  1. Dazzling Transformations

  • Use of all TrueType fonts (outline/shade, 3D effects, texture, bevel, transparency control)

  • Six different color types, RGB/HSV, capability of rotating 7-color-combination gradation

  • Control of transparency of individual color and image

  • Image framing, color changes and deletion, use of partial image

  • Multiple instances of playbacks and recording of 3D sound with full control on stereo, volume, frequency, number of repeats and fading

  • Hundreds of modifiable vector shapes (buttons, rectangles, circles, stars, cylinders, etc.)

4. Extensive User-oriented Customizations

  • Add customized special effects on scene-transitions

  • Change the graphical menu's background images

  • Set the default style of automatic page arrangement

  • Unlimited, easy-to-customize templates/libraries (pages, colors, fonts, background images, clipart, texture, shapes, movies, etc.)

5. Diverse Playback Modes

  • Playback selected parts of a file and multiple files in order

  • Return to a previous page, skip pages and specify the number of repeated playback

  • Select a background music file for multiple pages for playback, stop and change

  • Run external programs and provides file encryption protection

  • Extensive ability to change the speed of playback and select a playback mode

  • Specify each page’s playback start and standby time

  • Display the current time and counter with up/down

  • Dynamic actions and page transitions using object links

  • Page navigation toolbar (Previous Page, Next Page, Specific Page) for playback

  • Ability to resize and position the work window

6. Other Exciting Applications

  • Convert the displayed screen images of executing programs to HTML files

  • Save text as image files, import text

  • Convert the output to multimedia screen saver

  • Produce CD-ROM titles (automatic deletion of duplicate files with AutoRun enabled)

  • Capture and record from regular digital cameras

  • Supports for scanners and printers